import { ICourse } from '../../../../models';
import { Page } from '../../../../models/definitions';
import { ICourseModule } from '../../../../../../webcomponents/dist/types/models/course.model';
export declare class ExportLessons {
  tocData: ICourse;
  moduleContent: any[];
  moduleName: string;
  page: Page;
  fetchPage(path: string | null): Promise<any>;
  validateFetch: (response: Response) => Promise<any>;
  getHTMLContent(path: any): Promise<any[]>;
  componentWillLoad(): Promise<void>;
  renderContnet(courseModule: ICourseModule): Promise<void>;
  exportToPDF(): Promise<void>;
  render(): any;
}
